所需权限: 仅团队所有者
请求头
string
可选。使用相同值重试会重放首次结果。
请求体
string
必填
团队的新显示名称
响应
object
错误
出错时返回success: false、message 和 error_code。全部错误码见错误码。
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X PATCH 'https://app.memorylake.ai/openapi/memorylake/admin/v1/team' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Idempotency-Key: 7c1d2e3f-0a9b-4c8d-b7e6-f5a4d3c2b1a0' \
-H 'Content-Type: application/json' \
-d '{
"name": "Example name"
}'
{
"success": true,
"message": "Operation completed successfully",
"data": {
"created_at": 1760000000,
"id": "7d9e7032509bd2d43c2eeec93bae86a2",
"name": "Example name",
"owner_principal_id": "284c4662589661476271ee7c94015dec",
"type": "personal",
"caller_role": "tenant_member"
}
}
更新团队的显示名称
curl -X PATCH 'https://app.memorylake.ai/openapi/memorylake/admin/v1/team' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Idempotency-Key: 7c1d2e3f-0a9b-4c8d-b7e6-f5a4d3c2b1a0' \
-H 'Content-Type: application/json' \
-d '{
"name": "Example name"
}'
{
"success": true,
"message": "Operation completed successfully",
"data": {
"created_at": 1760000000,
"id": "7d9e7032509bd2d43c2eeec93bae86a2",
"name": "Example name",
"owner_principal_id": "284c4662589661476271ee7c94015dec",
"type": "personal",
"caller_role": "tenant_member"
}
}
PATCH /openapi/memorylake/admin/v1/team
curl -X PATCH 'https://app.memorylake.ai/openapi/memorylake/admin/v1/team' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Idempotency-Key: 7c1d2e3f-0a9b-4c8d-b7e6-f5a4d3c2b1a0' \
-H 'Content-Type: application/json' \
-d '{
"name": "Example name"
}'
{
"success": true,
"message": "Operation completed successfully",
"data": {
"created_at": 1760000000,
"id": "7d9e7032509bd2d43c2eeec93bae86a2",
"name": "Example name",
"owner_principal_id": "284c4662589661476271ee7c94015dec",
"type": "personal",
"caller_role": "tenant_member"
}
}
success: false、message 和 error_code。全部错误码见错误码。
| 状态码 | 含义 |
|---|---|
401 | API Key 缺失、无效、已停用或已过期 |
403 | 该 Key 无权执行此操作 |
422 | 请求体或参数未通过校验 |
429 | 请求过多,请按 Retry-After 等待后重试 |
500 | 服务端错误 |
503 | 暂时不可用,请稍后重试 |